<div class="row item-description">
  <div class="col-12 pb-3">
    <div class="h-50 d-flex text-left">
      <img width="125" height="80" [src]="'assets/img/logo_2.png'" />
      <p *ngIf="success" class="mt-4"><strong class="text-primary">VERIFICA TUS DATOS</strong><br>
        Estos no son tus datos?.....<br>Lorem ipsuum</p>
      <p *ngIf="!success" class="mt-4"><strong class="text-primary">¿CUALES SON TUS DATOS?</strong>
        Ahora necesitamos saber algunos datos tuyos..</p>
    </div>
  </div>
</div>

<div class="row">
  <div *ngIf="!success" class="col-12 p-0 m-0 pt-2">
    <form [formGroup]="registerFormGroup">
      <ion-item>
        <ion-label>Tipo de documento</ion-label>
        <ion-select [(ngModel)]="user.document_type" formControlName="documentType">
          <ion-option value="CC">Cédula de ciudadanía</ion-option>
          <ion-option value="CE">Cédula de extranjería</ion-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Número de documento</ion-label>
        <ion-input type="number" [(ngModel)]="user.document_number" name="title" formControlName="documentNumber">
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Fecha de nacimiento</ion-label>
        <ion-datetime displayFormat="MM/DD/YYYY" [(ngModel)]="user.birth_date" formControlName="birthDate">
        </ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>Fecha de expedición del documento</ion-label>
        <ion-datetime displayFormat="MM/DD/YYYY" [(ngModel)]="user.expedition_date" formControlName="expeditionDate">
        </ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>Género que aparece en tu documento de identidad</ion-label>
        <ion-select [(ngModel)]="user.gender" formControlName="gender">
          <ion-option value="M">Masculino</ion-option>
          <ion-option value="F">Femenino</ion-option>
        </ion-select>
      </ion-item>
    </form>
  </div>
  <div *ngIf="success" class="col-12 p-0 pt-2">
    <div class="text-left" style="display: block;">
      <p class="text-muted">Primer nombre</p>
      <p class="text-primary h3">{{data?.first_name}}</p>
      <p class="text-muted">Segundo nombre</p>
      <p class="text-primary h3">{{data?.second_name}}</p>
      <p class="text-muted">Primer apellido</p>
      <p class="text-primary h3">{{data?.first_last_name}}</p>
      <p class="text-muted">Segundo apellido</p>
      <p class="text-primary h3">{{data?.second_last_name}}</p>
      <p class="text-muted">Genero</p>
      <p class="text-primary h3">{{data?.gender.Name}}</p>
    </div>
  </div>
</div>

<ion-footer>
  <ion-toolbar>
    <div *ngIf="success" class="row">
      <div class="col-6">
        <button ion-button color="danger" class="btn btn-block border-radius" (click)="alertCancel()">
          Cancelar
        </button>
      </div>
      <div class="col-6">
        <button ion-button color="primary" class="btn btn-block border-radius text-primary" (click)="nextStep()">
          Continuar
        </button>
      </div>
    </div>
    <div *ngIf="!success" class="row">
      <div class="col-12">
        <button ion-button color="primary" [disabled]="registerFormGroup.invalid" class="btn btn-block border-radius"
          (click)="logForm()">
          Continuar
        </button>
      </div>
    </div>

  </ion-toolbar>
</ion-footer>